Loading...
Searching...
No Matches
pseudo_moving_average.h File Reference
`#include "platform.h"`
`#include "iterator.h"`
`#include "type_traits.h"`

Go to the source code of this file.

## Classes

class | etl::private_pseudo_moving_average::add_insert_iterator< TPseudo_Moving_Average >
class | etl::pseudo_moving_average< T, SAMPLE_SIZE_, SCALING_, true, false >
class | etl::pseudo_moving_average< T, 0, SCALING_, true, false >
class | etl::pseudo_moving_average< T, SAMPLE_SIZE_, 1U, false, true >
class | etl::pseudo_moving_average< T, 0U, 1U, false, true >

## Namespaces

namespace | etl

## Variables

template<typename T, const size_t SAMPLE_SIZE_, const size_t SCALING_>
ETL_CONSTANT size_t | etl::pseudo_moving_average< T, SAMPLE_SIZE_, SCALING_, true, false >::SAMPLE_SIZE
template<typename T, const size_t SAMPLE_SIZE_, const size_t SCALING_>
ETL_CONSTANT size_t | etl::pseudo_moving_average< T, SAMPLE_SIZE_, SCALING_, true, false >::SCALING
template<typename T, const size_t SCALING_>
ETL_CONSTANT size_t | etl::pseudo_moving_average< T, 0, SCALING_, true, false >::SCALING
template<typename T, const size_t SAMPLE_SIZE_>
ETL_CONSTANT size_t | etl::pseudo_moving_average< T, SAMPLE_SIZE_, 1U, false, true >::SAMPLE_SIZE